# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sinbotra/version'

Gem::Specification.new do |spec|
  spec.name          = "sinbotra"
  spec.version       = Sinbotra::VERSION
  spec.authors       = ["Aaron Cruz"]
  spec.email         = ["aaron@aaroncruz.com"]

  spec.summary       = %q{A bot framework.}
  spec.description   = %q{A bot framework.}
  spec.homepage      = "http://computercomputer.computer"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
    #spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
    #raise "RubyGems 2.0 or newer is required to protect against " \
      #"public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "sinatra"
  spec.add_dependency "messenger_client"
  spec.add_dependency "sucker_punch"
  spec.add_dependency "typhoeus"
  spec.add_dependency "redis"

  spec.add_development_dependency "puma"
  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry-byebug"
end
